REM https://www.sqlite.org/2017/sqlite-amalgamation-3170000.zip
REM (http://www.gaia-gis.it/gaia-sins/sqlite3-msvc/makefile.vc)
REM (http://www.gaia-gis.it/gaia-sins/sqlite3-msvc/nmake.opt)

set ARCH=%1

set P=sqlite3
set V=3.17.0
set B=4

if "%ARCH%"=="x86" (
	set OSGEO4W_ROOT=C:\OSGeo4W
	set VCARCH=x86
) else if "%ARCH%"=="x86_64" (
	set OSGEO4W_ROOT=C:\OSGeo4W64
	set VCARCH=amd64
) else (
	echo unsupported arch
	goto error
)

set R=..\..\..\%ARCH%\release\%P%
mkdir %R%

set pf=%ProgramFiles(x86)%
if "%pf%"=="" set pf=%ProgramFiles%
call "%pf%\Microsoft Visual Studio 14.0\VC\vcvarsall.bat" %VCARCH%
echo on
path %pf%\Microsoft Visual Studio 14.0\Common7\IDE;%PATH%

nmake /f makefile.vc clean
if errorlevel 1 (echo clean error & goto error)

nmake /f makefile.vc
if errorlevel 1 (echo build error & goto error)

nmake /f makefile.vc install
if errorlevel 1 (echo install error & goto error)

cd osgeo4w
copy setup.hint %R%\setup.hint

copy license.txt %R%\%P%-%V%-%B%.txt
tar cjf %R%\%P%-%V%-%B%.tar.bz2 bin/sqlite3.exe bin/sqlite3.dll include lib
if errorlevel 1 (echo tar error & goto error)

tar -C .. -cjf %R%\%P%-%V%-%B%-src.tar.bz2 osgeo4w/license.txt osgeo4w/makefile.vc osgeo4w/nmake.opt osgeo4w/package.cmd osgeo4w/setup.hint
if errorlevel 1 (echo src tar error & goto error)

exit

:error
exit /b 1
